Subject: Re: [PATCH bpf-next v2 3/3] selftests/bpf: Enable stack argument tests for arm64

From: Will Deacon <[email-masked]>
Date: Thu, 28 May 2026 14:42:45 +0100

On Mon, Apr 27, 2026 at 04:48:00PM -0700, Puranjay Mohan wrote:
> Now that arm64 supports stack arguments, enable the existing stack_arg,
> stack_arg_kfunc and verifier_stack_arg tests for __TARGET_ARCH_arm64.
> 
> Signed-off-by: Yonghong Song <[email-masked]>
> Signed-off-by: Puranjay Mohan <[email-masked]>
> ---
>  tools/testing/selftests/bpf/progs/btf__stack_arg_precision.c | 3 ++-
>  tools/testing/selftests/bpf/progs/stack_arg.c                | 3 ++-
>  tools/testing/selftests/bpf/progs/stack_arg_kfunc.c          | 3 ++-
>  tools/testing/selftests/bpf/progs/stack_arg_precision.c      | 3 ++-
>  tools/testing/selftests/bpf/progs/verifier_stack_arg.c       | 3 ++-
>  5 files changed, 10 insertions(+), 5 deletions(-)

Do any of these tests pass more than eight parameters? If not, then
they're not touching any of the stack stuff you added for arm64.

Will